Class | Tk::TreeCtrl
In: | tk/lib/tkextlib/treectrl/tktreectrl.rb
Parent: | TkWindow

### Methods

image_tint loupe package_name package_version text_layout

### Classes and Modules

Module Tk::TreeCtrl::ConfigMethod
Class Tk::TreeCtrl::NotifyEvent

### Constants

BindTag_FileList | = | TkBindTag.new_by_name('TreeCtrlFileList')
PACKAGE_NAME | = | 'treectrl'.freeze
HasColumnCreateCommand | = | (TkPackage.vcompare(self.package_version, '1.1') >= 0)

### Public Class methods

image_tint(img, color, alpha)

[Source]

    # File tk/lib/tkextlib/treectrl/tktreectrl.rb, line 61
        def self.image_tint(img, color, alpha)
          Tk.tk_call_without_enc('imagetint', img, color, alpha)
        end

loupe(img, x, y, w, h, zoom)

[Source]

    # File tk/lib/tkextlib/treectrl/tktreectrl.rb, line 47
        def self.loupe(img, x, y, w, h, zoom)
          # NOTE: platform == 'unix' only

          # img  => TkPhotoImage
          # x, y => screen coords
          # w, h => magnifier width and height
          # zoom => zooming rate
          Tk.tk_call_without_enc('loupe', img, x, y, w, h, zoom)
        end

package_name()

[Source]

    # File tk/lib/tkextlib/treectrl/tktreectrl.rb, line 23
        def self.package_name
          PACKAGE_NAME
        end

package_version()

[Source]

    # File tk/lib/tkextlib/treectrl/tktreectrl.rb, line 27
        def self.package_version
          begin
            TkPackage.require('treectrl')
          rescue
            ''
          end
        end

text_layout(font, text, keys={})

[Source]

    # File tk/lib/tkextlib/treectrl/tktreectrl.rb, line 57
        def self.text_layout(font, text, keys={})
          TkComm.list(Tk.tk_call_without_enc('textlayout', font, text, keys))
        end

[Validate]